﻿using System;
using System.Collections.Generic;

namespace Agency
{
    public partial class TheProperty
    {
        public TheProperty()
        {
            ListPeople = new HashSet<ListPerson>();
            Treaties = new HashSet<Treaty>();
        }

        public int Id { get; set; }
        public string? Name { get; set; }
        public double? Area { get; set; }
        public int? Rooms { get; set; }
        public string? PropertyType { get; set; }
        public string? District { get; set; }
        public DateTime? YearOfConstruction { get; set; }
        public int? Floor { get; set; }
        public int? Owner { get; set; }
        public int? Address { get; set; }
        public decimal? Price { get; set; }
        public string? TypeRent { get; set; }

        public virtual Addrese? AddressNavigation { get; set; }
        public virtual ICollection<ListPerson> ListPeople { get; set; }
        public virtual ICollection<Treaty> Treaties { get; set; }
    }
}
